Bug 869107 - Bug report URL flag to indicate "Revision of topic was specified in content spec"
Bug report URL flag to indicate "Revision of topic was specified in content s...
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 00:13 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:29:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-10-23 00:13:07 EDT
At the moment the bug link text contains the topic ID and revision, however there is nothing to indicate to processor whether the revision number was specified in the Content Spec or is simply the latest revision at build time.

Can we add a flag to the bug link that is set when the topic revision number was specified in the content spec.

This is important for post-processors, such as the Deathstar, to correctly inject an edit link to the latest revision of a topic, or a read-only link to a specific revision of a topic.
Comment 1 Lee Newson 2012-11-11 22:23:19 EST
Added for Version 0.28.0.

The Bug Link will now use the following syntax:

<ID>-<REVISION> <LAST MODIFIED> <LOCALE> [Latest]

or

<ID>-<REVISION> <LAST MODIFIED> <LOCALE> [Specified]
Comment 2 Lee Newson 2013-06-06 21:29:41 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.